<!--
*Author：jxx
 *Contact：283591387@qq.com
 *代码由框架生成,任何更改都可能导致被代码生成器覆盖
 *业务请在@/extension/system/system/Base_routing_table.js此处编写
 -->
 <template>
  <view-grid ref="grid" :columns="columns" :detail="detail" :editFormFields="editFormFields"
    :editFormOptions="editFormOptions" :searchFormFields="searchFormFields" :searchFormOptions="searchFormOptions"
    :table="table" :extend="extend">
  </view-grid>
</template>
<script>
import extend from "@/extension/system/dt_stationinfo.js";
import { ref, defineComponent } from "vue";
export default defineComponent({
  setup() {
    const table = ref({
      key: "id",
      footer: "Foots",
      cnName: "站点查询",
      name: "/dt_stationinfo",
      url: "/dt_stationinfo/",
      sortName: "id",
    });
    const editFormFields = ref({
      stationType: "",
      location_state: "",
    });
    const editFormOptions = ref([
      [
        {
        title: "站点地址",
        required: true,
        field: "stationCode",
        type: "text",
        "disabled": true
      },
      ],
      [
        { title: "是否存在任务", required: true,field: "task", type: "select", dataKey: "lktask", },

      ]
    ]);
    const searchFormFields = ref({
      route_began: "",
      route_end: "",
      area: ""
    });
    const searchFormOptions = ref([
      [
        { title: "站点地址", field: "stationCode", type: "like" },
        {
          title: "区域",
          field: "area",
          type: "select",
          dataKey: "station_area"
        },
        {
          title: "物料类型", field: "stationType", type: "select", dataKey: 'materieInfo',
        },
        {
          title: "站点状态", field: "getStatus",
          data: [
            { key: 1, value: "有料" },
            { key: 0, value: "无料" },
            { key: -1, value: "掉线" },
            { key: 2, value: "允许" },
            { key: 3, value: "不允许" },
          ]
          , type: "select"
        },
      ],
      [{
        title: "货位状态", field: "location_state",
        data: [
          { key: "Empty", value: "空位" },
          { key: "Storage", value: "满料架" },
          { key: "Pallet", value: "空托架" },

          { key: "Unknow", value: "有托" }
        ]
        , type: "select"
      },
      {
        title: "是否启用", field: "enable",
        data: [
          { key: 'true', value: "启用" },
          { key: 'false', value: "禁用" }
        ], type: "select"
      },
      
      { title: "备注", field: "remark", type: "like" },
      ]
    ]);
    const columns = ref([
      {
        field: "id",
        title: "ID",
        type: "guid",
        width: 60,
        hidden: true,
        readonly: true,
        require: true,
        align: "left",
      },
      {
        field: "stationCode",
        title: "站点地址",
        type: "string",
        width: 150,
        require: true,
        align: "left",
      },
      {
        field: "area",
        title: "楼层",
        type: "string",
        width: 150,
        align: "left",
        bind: { data: [] },
      },
      {
        field: "stationType",
        title: "货架类型",
        type: "string",
        width: 90,
        require: true,
        align: "left",
        bind: { data: [] },
      },
            {
        field: "tpgd",
        title: "托盘光电",
        type: "bit",
        width: 90,
        require: true,
        align: "left",
        bind: {
          key: "",
          data: [
            { key: "false", value: "无料" },
            { key: "true", value: "有料" },

          ]
        },
      },
      {
        field: "wlgd",
        title: "物料光电",
        type: "bit",
        width: 90,
        require: true,
        align: "left",
        bind: {
          key: "",
          data: [
            { key: "false", value: "无料" },
            { key: "true", value: "有料" },

          ]
        },
      },
      {
        field: "task",
        title: "任务是否存在",
        type: "bit",
        width: 90,
        require: true,
        align: "left",
        bind: {
          key: "",
          data: [
            { key: "false", value: "不存在" },
            { key: "true", value: "存在" },

          ]
        },
      },
      // {
      //   field: "bindType",
      //   title: "物料绑定",
      //   type: "string",
      //   width: 90,
      //   require: true,
      //   align: "left",
      //   bind: { data: [] },
      // },
      // {
      //   field: "location_state",
      //   title: "货位状态",
      //   type: "string",
      //   width: 90,
      //   require: true,
      //   align: "left",
      //   bind: {
      //     key: "",
      //     data: [
      //       { key: "Empty", value: "空位" },
      //       { key: "Storage", value: "满料架" },
      //       { key: "Pallet", value: "空托架" },
      //       { key: "Unknow", value: "有托" }
      //     ]
      //   },
      // },
      // {
      //   field: "getStatus",
      //   title: "站点状态",
      //   type: "string",
      //   width: 60,
      //   align: "left",
      //   bind: {
      //     data: [
      //       { key: -1, value: "掉线" },
      //       { key: 0, value: "无料" },
      //       { key: 1, value: "有料" },
      //       { key: 2, value: "允许" },
      //       { key: 3, value: "不允许" },
      //     ]
      //   }
      // },
      {
        field: "lastUpdateTime",
        title: "更新时间",
        type: "string",
        width: 120,
        align: "left",
      },
      {
        field: "enable",
        title: "是否启用",
        type: "string",
        width: 60,
        align: "left",
        bind: {
          data: [
            { key: true, value: "启用" },
            { key: false, value: "禁用" },
          ]
        }
      },
      {
        field: "remark",
        title: "备注",
        type: "string",
        width: 100,
        align: "left",
      }
    ]);
    const detail = ref({
      cnName: "#detailCnName",
      columns: [],
      sortName: "",
      key: "",
    });
    return {
      table,
      extend,
      editFormFields,
      editFormOptions,
      searchFormFields,
      searchFormOptions,
      columns,
      detail,
    };
  },
});
</script>
